<?php

namespace ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Admin\AccountResources;

use ModulesGarden\ProxmoxAddon\App\Services\Cloud\ProductService;
use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\AccountSummary\Providers\AccountSummaryProvider;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Builder\BaseContainer;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Interfaces\AdminArea;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Interfaces\ClientArea;

class AccountResourcesContainer extends BaseContainer implements AdminArea, ClientArea
{
    use ProductService;

    public function initContent()
    {
        $this->initIds('accountResourcesContainer');
        $provider = new AccountSummaryProvider();
        $this->customTplVars['bars'] = $provider->read();
    }

}